[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cluster/cman/init.d cman



CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh sourceware org	2006-11-15 16:55:35

Modified files:
	cman/init.d    : cman 

Log message:
	Fix error reporting from cman if run while xend is not running.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&r1=1.27&r2=1.28

--- cluster/cman/init.d/cman	2006/11/13 16:13:51	1.27
+++ cluster/cman/init.d/cman	2006/11/15 16:55:35	1.28
@@ -145,7 +145,7 @@
     # Check for presence of Domain-0; if it's not there, we can't
     # run xvmd.
     #
-    xm list --long | grep -q "Domain-0" || return 1
+    xm list --long 2> /dev/null | grep -q "Domain-0" || return 1
 	
     #
     # Check for presence of /cluster/fence_xvmd in cluster.conf


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]